Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Batch Query Group Information

View specified group information including: group name, owner, group avatar, group introduction, group announcement, group permission, and custom attributes.

Enabling the Service

Before using this feature, you must enable the profile hosting service by submitting a ticket.

Request Method

POST: https://data center domain/entrust/group/profile/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. See API Request Signature.

Body Parameters

The HTTP request body uses application/x-www-form-urlencoded format and supports the following form parameters:

ParameterTypeRequiredDescription
groupIdsArrayYesGroup IDs (maximum 50 per request).

Request Example

POST /entrust/group/profile/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

groupId=groupId1&groupId=groupId2

Response

The HTTP response body contains a JSON object with the following structure:

FieldTypeDescription
codeNumberStatus code. 200 indicates success.
profilesJSONArrayGroup information list
profiles structure
profiles[i].groupIdStringGroup ID
profiles[i].groupNameStringGroup name
profiles[i].groupProfileStringBasic group information (JSON format)
profiles[i].groupExtProfileStringCustom attributes (JSON format)
profiles[i].permissionsStringPermission settings (JSON format)
profiles[i].ownerStringGroup Owner
profiles[i].createTimeLongGroup creation timestamp
profiles[i].memberCountNumberMember count

groupProfile keys:

KeyTypeLength/RangeDescription
introductionString≤512 charactersGroup introduction
announcementString≤1024 charactersGroup announcement
portraitUrlString≤128 charactersGroup avatar URL

permissions keys:

KeyTypeRangeDescription
joinPermNumberValues:
  • 0: Owner approval required (default)
  • 1: No approval
  • 2: Admin/Owner approval
  • 3: No new members allowed
Join permission
removePermNumberValues:
  • 0: Owner only (default)
  • 1: Owner+Admin
  • 2: All members
Remove member permission
memInvitePermNumberValues:
  • 0: Owner only (default)
  • 1: Owner+Admin
  • 2: All members
Invite permission
invitePermNumberValues:
  • 0: No invitee confirmation (default)
  • 1: Invitee confirmation required
Invitation handling
profilePermNumberValues:
  • 0: Owner only (default)
  • 1: Owner+Admin
  • 2: All members
Modify group profile/permission
memProfilePermNumberValues:
  • 0: Owner+Admin+Self (default)
  • 1: Owner+Self
  • 2: Self only
Edit member profile permission

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200,
"profiles": [{
"groupId":"gorupId1",
"createTime":1717717737377,
"owner":"userId1",
"groupName":"gName1",
"groupProfile":"{\"introduction\":\"introductionTest\",\"portraitUrl\":\"XXXX\"}",
"memberCount":10
},
{
"groupId":"gorupId2",
"createTime":1717717737376,
"owner":"userId2",
"groupName":"gName2",
"announcement":"announcement",
"introduction":"introduction",
"groupExtProfile":"{\"ext_key1\":\"value1\",\"ext_key2\":\"value2\"}",
"memberCount":9
}
]
}